@import url(https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600&display=swap);
* {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
  font-size: 18px;
  line-height: 1.5;
  letter-spacing: 1.5px; }

body {
  margin: 0;
  padding: 0;
  background-color: #EAE0CC;
  width: 100%;
  height: 100%;
  box-sizing: border-box; }

section {
  overflow-x: hidden;
  width: 100%; }

label {
  pointer-events: none; }

object {
  pointer-events: none; }

.textfield {
  border: none;
  background: none;
  border-bottom: 1px solid black; }

.link {
  text-decoration: none;
  color: black; }

.button {
  border: none;
  background: none;
  opacity: .6; }

.page {
  overflow-x: hidden;
  display: flex;
  min-height: 100vh; }

.title--heading {
  padding: 35px 25px;
  background-color: #c4bba9;
  border-bottom: 1px solid black; }

.loading {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 80px 30px; }

.loading__image {
  width: 100%;
  height: 100%;
  object-fit: contain; }

.loading__text {
  font-size: 18px;
  font-weight: 500;
  opacity: .6; }

.login {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 80px 30px; }

.login__title {
  margin-top: auto;
  margin-bottom: 28px; }

.login__inner {
  display: flex;
  flex-direction: column; }

.login__login {
  margin-top: 28px;
  opacity: .6; }

.login__register {
  margin-top: auto;
  opacity: .6; }

.login__label {
  position: relative;
  top: 22px;
  opacity: .6; }
  .login__label:last-child {
    margin-top: -12px; }

.login__username {
  margin-bottom: 28px; }

.choose {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; }

.choose__classic,
.choose__own {
  height: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  overflow: hidden; }

.choose__image {
  width: 50%;
  height: auto;
  object-fit: contain; }

.choose__classic > .choose__image {
  width: 40%; }

.choose__title {
  margin-bottom: 28px; }

.choose__own {
  background-color: #c4bba9; }

.size__options {
  position: relative;
  width: 100%;
  height: calc(100% - 106px);
  overflow: hidden; }

.size-options__row {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50%; }

.size-options__option {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  height: 100%; }

.size-options__text {
  margin-top: 28px;
  font-weight: 500; }

.size__icon {
  width: 60px; }

.choose-selection__options {
  width: 100%; }
  .choose-selection__options.choose-selection--own {
    position: relative;
    width: 100%;
    height: calc(100% - 106px);
    overflow: hidden; }

.choose-selection__row {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50%; }

.choose-selection__option {
  display: flex;
  padding: 20px 35px; }
  .choose-selection__option:not(:last-child) .choose-selection__icon {
    position: relative;
    top: -12px; }
  .choose-selection--own .choose-selection__option {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 0;
    overflow: hidden; }
    .choose-selection--own .choose-selection__option .choose-selection__icon {
      top: 0; }

.choose-selection__text {
  margin: 0 auto;
  display: flex;
  align-items: center;
  font-weight: 500; }

.choose-selection__icon {
  width: 60px; }

.milk-selection__options {
  width: 100%; }

.milk-selection__option {
  display: flex;
  align-items: center;
  padding: 20px 35px; }

.milk-selection__text {
  margin: 0 auto;
  font-weight: 500; }

.milk-selection__icon {
  width: 60px; }

.milk-balance {
  overflow: hidden; }

.milk-balance__inner {
  width: 100%;
  height: calc(100% - 106px);
  display: flex;
  position: relative;
  flex-direction: column;
  justify-content: center;
  align-items: center; }

.milk-balance__percentage {
  margin: auto 0;
  font-size: 72px; }

.milk-balance__slider {
  position: relative;
  margin-bottom: auto;
  margin-top: 28px;
  display: block;
  width: 80%;
  background-color: #ffffff; }

.milk-balance__next {
  margin-bottom: 28px; }

.milk-foam {
  overflow: hidden; }

.milk-foam__inner {
  width: 100%;
  height: calc(100% - 106px);
  display: flex;
  position: relative;
  flex-direction: column;
  justify-content: center;
  align-items: center; }

.milk-foam__slider {
  position: absolute;
  width: 100%;
  left: -125px;
  transform: rotate(-90deg); }

.milk-foam__info {
  margin-top: auto;
  margin-right: 38px;
  margin-left: auto; }

.milk-foam__percentage {
  font-size: 64px;
  text-align: center; }

.milk-foam__icon {
  width: 230px; }

.milk-foam__next {
  margin-bottom: 28px;
  margin-top: auto; }

.syrup {
  overflow: hidden; }

.syrup__options {
  width: 100%;
  height: calc(100% - 106px); }

.syrup__option {
  padding: 20px 35px;
  font-size: 500; }

.additives {
  overflow: hidden; }

.additives__options {
  width: 100%;
  height: calc(100% - 106px); }

.additives__option {
  padding: 20px 35px;
  font-size: 500; }

.final__inner {
  display: flex;
  width: 100%;
  flex-direction: column;
  height: calc(100% - 106px); }

.final__item {
  display: flex;
  padding: 20px 35px;
  font-size: 500; }
  .final__item > p {
    margin: 0 auto;
    vertical-align: middle;
    align-self: center; }
  .final__item > object {
    width: 60px; }

.final-item__value {
  margin: 0 auto; }

.final__button {
  margin: auto auto 28px auto; }

.pay {
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: .6; }

.order-status {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column; }

.order-status__text {
  margin-top: auto;
  margin-bottom: auto;
  padding: 0 28px;
  text-align: center;
  opacity: 0.6; }

.order-status__image {
  position: relative;
  width: 60%;
  height: auto;
  object-fit: contain;
  margin-bottom: auto;
  left: 7px; }

.icon--small {
  width: 60px; }

.icon--medium {
  width: 70px; }

.icon--large {
  width: 85px; }

.icon--xlarge {
  width: 100px; }

.title {
  font-size: 24px; }

.background--dark {
  background-color: #c4bba9; }

.is-hidden {
  opacity: 0 !important;
  width: 0 !important;
  height: 0 !important;
  padding: 0 !important;
  margin: 0 !important; }

